cupsfilter(8)

NOME
cupsfilter - converte um ficheiro para outro formato usando os filtros do cups (descontinuado)

RESUMO
cupsfilter [ --list-filters ] [ -D ] [ -U user ] [ -c config-file ] [ -d printer ] [ -e ] [ -i mime/type ] [ -j job-id[,N] ] [ -m mime/type ] [ -n copies ] [ -o name=value ] [ -p filename.ppd ] [ -t title ] [ -u ] filename

DESCRIÇÃO
cupsfilter é um front-end para o subsistema de filtros do CUPS o qual permite-lhe converter um ficheiro para um formato específico, como se você tivesse imprimido o ficheiro através do CUPS. Por predefinição, o cupsfilter gera um ficheiro PDF. O ficheiro convertido é enviado para a saída standard.

OPÇÕES

--list-filters
    Não corre realmente os filtros, apenas escreve os filtros usados no stdout.

-D  Apaga o ficheiro de entrada após conversão.

-U user
    Especifica o nome de utilizador a passar aos filtros. A predefinição é o utilizador actual.

-c config-file
    Usa o ficheiro de configuração cups-files.conf nomeado.

-d printer
    Usa informação da impressora nomeada.

-e  Usa todos os filtros do ficheiro PPD.

-i mime/type
    Especifica o tipo de ficheiro fonte. O tipo de ficheiro predefinido é adivinhado usando o nome de ficheiro e o conteúdo do ficheiro.

-j job-id[,N]
    Converte documento N de um trabalho especificado. Se N for omitido, é convertido o documento 1.

-m mime/type
    Especifica o tipo de ficheiro de destino. O tipo de ficheiro predefinido é application/pdf. Use printer/foo para converter para o formato da impressora definido pelos filtros no ficheiro PPD.

-n copies
    Especifica o número de cópias a gerar.

-o name=value
    Especifica as opções a passar aos filtros do CUPS.

-p filename.ppd
    Especifica o ficheiro PPD a usar.

-t title
    Especifica o título do documento.

-u  Apaga o ficheiro PPD após conversão.

ESTADO DE SAÍDA
cupsfilter retorna estado não-zero se saída em qualquer erro.

AMBIENTE
Todas as variáveis de ambiente standard do cups(1) afectam a operação do cupsfilter.

FICHEIROS
/etc/cups/cups-files.conf
/etc/cups/*.convs
/etc/cups/*.types
/usr/share/cups/mime/*.convs
/usr/share/cups/mime/*.types

NOTAS
Drivers de impressoras, filtros e backends do CUPS estão descontinuados e não irão ser mais suportados num futuro lançamento do CUPS. Impressoras que não suportem IPP podem ser suportadas usando aplicações como a ippeveprinter(1).

Ao contrário de quando se imprime, os filtros que correm usando o comando cupsfilter usam o utilizador actual e sessão de segurança. Isto pode resultar numa saída diferente ou comportamento inesperado.

EXEMPLO
O seguinte comando irá gerar uma antevisão em PDF do trabalho 42 para uma impressora chamada "myprinter" e irá salva-lo num ficheiro chamado "preview.pdf":

    cupsfilter -m application/pdf -d myprinter -j 42 >preview.pdf

VEJA TAMBÉM
cups(1), cupsd.conf(5), filter(7), mime.convs(7), mime.types(7), Ajuda Online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.